       /* ===================================
   质保系统 V2.1 样式
=================================== */


*{

box-sizing:border-box;

}



body{

margin:0;

padding:0;

font-family:

"Microsoft YaHei",
Arial,
sans-serif;

background:#f5f6fa;

color:#333;

}





/* 顶部 */

.header{

height:70px;

line-height:70px;

background:#1677ff;

color:white;

font-size:26px;

text-align:center;

}





/* 首页菜单 */


.menu{

display:flex;

flex-wrap:wrap;

justify-content:center;

gap:25px;

margin:40px auto;

}



.card{

width:220px;

height:120px;

background:white;

border-radius:12px;

box-shadow:

0 3px 10px rgba(0,0,0,.12);

display:flex;

align-items:center;

justify-content:center;

font-size:22px;

cursor:pointer;

transition:.2s;

}



.card:hover{

transform:translateY(-5px);

}







/* 登录 */


.login-box{


width:380px;

background:white;

margin:120px auto;

padding:40px;

border-radius:12px;

text-align:center;

box-shadow:

0 5px 20px rgba(0,0,0,.15);


}



.login-box input{


width:90%;

height:45px;

margin:10px;

padding:10px;

font-size:16px;


}




button{


background:#1677ff;

border:0;

color:white;

padding:

12px 30px;

border-radius:6px;

font-size:16px;

cursor:pointer;

}




button:hover{

opacity:.85;

}






/* 页面容器 */


.page-box{


background:white;

width:95%;

max-width:1200px;

margin:30px auto;

padding:30px;

border-radius:12px;

box-shadow:

0 3px 15px rgba(0,0,0,.1);


}




.page-box input,
.page-box select{


height:40px;

padding:8px;

margin:5px;

border:1px solid #ddd;

border-radius:5px;


}






/* 表格 */


table{


width:100%;

border-collapse:collapse;

margin-top:20px;


}



th{


background:#1677ff;

color:white;

padding:12px;


}



td{


padding:10px;

border-bottom:

1px solid #ddd;

text-align:center;


}




tr:hover{


background:#fafafa;


}






/* 手机页面 */


.mobile-box{


width:95%;

max-width:450px;

margin:20px auto;

background:white;

padding:25px;

border-radius:15px;

box-shadow:

0 3px 15px rgba(0,0,0,.15);


}



.product-card{


background:#f5f7fa;

padding:20px;

border-radius:10px;

margin:20px 0;


}




.mobile-box input[type=file]{


width:100%;

padding:15px;

background:#f5f5f5;

border-radius:8px;


}




.submit-btn{


width:100%;

font-size:18px;

margin-top:20px;


}





.info-card{


line-height:30px;

font-size:16px;


}




a{


color:#1677ff;

text-decoration:none;


}




.stat{


display:flex;

justify-content:center;

gap:50px;

font-size:22px;

margin:30px;


}
.camera-box{

margin-top:15px;

}


.camera-box label{

display:flex;

align-items:center;

justify-content:center;


height:150px;


border:2px dashed #ccc;


border-radius:10px;


font-size:18px;


color:#666;


cursor:pointer;


}


.camera-box input{

display:none;

}


#preview img{

margin-top:15px;

width:100%;

border-radius:8px;

}